#include <stdio.h>
#include "fn.h"

main(int argc,
char **argv)
{
	int done = 0, tries;
	val v, bestv;
	double m, bestm;

	if (argc == 2) {
		tries = atoi(argv[1]);
	} else {
		fprintf(stderr, "Usage: %s [tries]\n", argv[0]);
		exit(1);
	}

	srand(time(0));
	while (done < tries) {
		v = rand();
		m = f(v);
		if ((done == 0) || (m > bestm)) {
			printf("best so far is %d -> %f\n", v, m);
			bestv = v;
			bestm = m;
		}
		++done;
	}
	printf("best is %d -> %f\n", bestv, bestm);
}
